<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Math Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Math Functions<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___internal.html">Internals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Math functions used internally.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga897e9e402177698137930fcae024867a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga897e9e402177698137930fcae024867a">gtrack_matrixMultiply</a> (uint16_t rows, uint16_t m, uint16_t cols, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga897e9e402177698137930fcae024867a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga506a894acc4f9f1bbffef253e29ddc63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga506a894acc4f9f1bbffef253e29ddc63">gtrack_matrixTransposeMultiply</a> (uint16_t rows, uint16_t m, uint16_t cols, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga506a894acc4f9f1bbffef253e29ddc63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d3aedfb1331da8bb0a571bf0bde1986"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga4d3aedfb1331da8bb0a571bf0bde1986">gtrack_matrixComputePJT</a> (float *P, float *J, float *PJ)</td></tr>
<tr class="separator:ga4d3aedfb1331da8bb0a571bf0bde1986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31aa52b00bd9703a362522cbcee10c9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga31aa52b00bd9703a362522cbcee10c9f">gtrack_matrixMultiply66</a> (float *A, float *B, float *C)</td></tr>
<tr class="separator:ga31aa52b00bd9703a362522cbcee10c9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bc11af54451eda625d787e49c07a23b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga7bc11af54451eda625d787e49c07a23b">gtrack_matrixMultiply66T</a> (float *A, float *B, float *C)</td></tr>
<tr class="separator:ga7bc11af54451eda625d787e49c07a23b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3384d3425f80d6913e44d60a82116c0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga3384d3425f80d6913e44d60a82116c0e">gtrack_matrixScalerMultiply</a> (uint16_t rows, uint16_t cols, float *A, float C, float *B)</td></tr>
<tr class="separator:ga3384d3425f80d6913e44d60a82116c0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2bcc1b4121b45bc3bbaaa716b634a9b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#gad2bcc1b4121b45bc3bbaaa716b634a9b">gtrack_matrixAdd</a> (uint16_t rows, uint16_t cols, float *A, float *B, float *C)</td></tr>
<tr class="separator:gad2bcc1b4121b45bc3bbaaa716b634a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33c08c4481499ac173f8577df4417059"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga33c08c4481499ac173f8577df4417059">gtrack_matrixSub</a> (uint16_t rows, uint16_t cols, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga33c08c4481499ac173f8577df4417059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fc07cf3d9a4a08c3a19c5a4d7a31a96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga9fc07cf3d9a4a08c3a19c5a4d7a31a96">gtrack_matrixMakeSymmetrical</a> (uint16_t m, float *A, float *B)</td></tr>
<tr class="separator:ga9fc07cf3d9a4a08c3a19c5a4d7a31a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac93897f2ea553c9a90d7376173bc7b51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#gac93897f2ea553c9a90d7376173bc7b51">gtrack_matrixCholesky3</a> (float *A, float *G)</td></tr>
<tr class="separator:gac93897f2ea553c9a90d7376173bc7b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga968a545858920d5fa0c7d9604c664096"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga968a545858920d5fa0c7d9604c664096">gtrack_matrixDet3</a> (float *A, float *det)</td></tr>
<tr class="separator:ga968a545858920d5fa0c7d9604c664096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d0aafdae5cb37806245b50b06991cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga9d0aafdae5cb37806245b50b06991cbd">gtrack_matrixInv3</a> (float *A, float *inv)</td></tr>
<tr class="separator:ga9d0aafdae5cb37806245b50b06991cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Math functions used internally. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gad2bcc1b4121b45bc3bbaaa716b634a9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixAdd </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to add two matrices. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rows</td><td>Number of rows </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cols</td><td>Number of cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(rows,cols) = A(rows,cols) + B(rows,cols)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac93897f2ea553c9a90d7376173bc7b51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixCholesky3 </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>G</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function performs cholesky decomposition of 3x3 matrix. Matrix are squared, real, single precision floating point. Matrix are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">G</td><td>Matrix G = cholseky(A);</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4d3aedfb1331da8bb0a571bf0bde1986"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixComputePJT </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>P</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>J</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>PJ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply two matrices. First matrix P is of size 6x6, the second one is of the size 3x6. The second matrix is being transposed first. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">P</td><td>Matrix P </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">J</td><td>Matrix J </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">PJ</td><td>Matrix PJ = P(6,6) X J(3,6)T</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga968a545858920d5fa0c7d9604c664096"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixDet3 </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>det</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function computes the determinant of 3x3 matrix. Matrix is real, single precision floating point. Matrix is in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">det</td><td>det = det(A);</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9d0aafdae5cb37806245b50b06991cbd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixInv3 </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>inv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function computes the inverse of 3x3 matrix. Matrix is real, single precision floating point. Matrix is in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">inv</td><td>inv = inverse(A);</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9fc07cf3d9a4a08c3a19c5a4d7a31a96"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixMakeSymmetrical </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to force matrix symmetry by averaging off-diagonal elements Matrices are squared, real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">m</td><td>(m=rows=cols) Number of rows and cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">B</td><td>Matrix B</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga897e9e402177698137930fcae024867a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixMultiply </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply two matrices. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rows</td><td>Outer dimension, number of rows </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">m</td><td>Inner dimension </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cols</td><td>Outer dimension, number of cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(rows,cols) = A(rows,m) X B(m,cols)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga31aa52b00bd9703a362522cbcee10c9f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixMultiply66 </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply two matrices of the size 6x6. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(6x6x) = A(6x6) X B(6x6)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7bc11af54451eda625d787e49c07a23b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixMultiply66T </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply two matrices of size 6x6. Second Matrix is getting transposed first Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(6x6) = A(6x6) X B(6x6)T</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3384d3425f80d6913e44d60a82116c0e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixScalerMultiply </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply matrix by a scaller. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rows</td><td>Number of rows </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cols</td><td>Number of cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">C</td><td>Scaller C </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">B</td><td>Matrix B(rows,cols) = A(rows,cols) X C</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga33c08c4481499ac173f8577df4417059"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixSub </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to subtract two matrices. Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rows</td><td>Number of rows </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cols</td><td>Number of cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(rows,cols) = A(rows,cols) - B(rows,cols)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga506a894acc4f9f1bbffef253e29ddc63"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_matrixTransposeMultiply </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>C</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to multiply two matrices. Second Matrix is getting transposed first Matrices are all real, single precision floating point. Matrices are in row-major order</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rows</td><td>Outer dimension, number of rows </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">m</td><td>Inner dimension </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cols</td><td>Outer dimension, number of cols </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">A</td><td>Matrix A </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">B</td><td>Matrix B </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">C</td><td>Matrix C(rows,cols) = A(rows,m) X B(cols,m)T</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
